package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

//工作性质（兼职、全职）
public enum JobNatureEnum implements BaseEnum<String,JobNatureEnum> {
    PART_TIME("PART_TIME","兼职"),
    FULL_TIME("FULL_TIME","全职"),
    TEMPORARY("TEMPORARY","零时工");

    private String code;

    private String msg;

    JobNatureEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return this.code;
    }
}
